Module org.apache.felix.atomos
Package org.apache.felix.atomos

## Enum AtomosLayer.LoaderType

- java.lang.Object
- - java.lang.Enum<AtomosLayer.LoaderType>
  - - org.apache.felix.atomos.AtomosLayer.LoaderType

All Implemented Interfaces:
  `Serializable`, `Comparable<AtomosLayer.LoaderType>`

Enclosing interface:
  AtomosLayer

    @ProviderType
    public static enum AtomosLayer.LoaderType
    extends Enum<AtomosLayer.LoaderType>

The loader type used for the class loaders of an Atomos layer.

### Enum Constant Summary

Enum Constants
`MANY` Loader type that will use a unique loader for each connected bundle in the layer.
`OSGI` Loader type that will use a unique loader for each connected bundle in the layer and the loader will implement the `BundleReference` interface.
`SINGLE` Loader type that will use a single loader for each connected bundle in the layer.

### Method Summary

All Methods Static Methods Concrete Methods
`static AtomosLayer.LoaderType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static AtomosLayer.LoaderType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### OSGI

    public static final AtomosLayer.LoaderType OSGI

Loader type that will use a unique loader for each connected bundle in the layer and the loader will implement the `BundleReference` interface.

#### SINGLE

    public static final AtomosLayer.LoaderType SINGLE

Loader type that will use a single loader for each connected bundle in the layer.

#### MANY

    public static final AtomosLayer.LoaderType MANY

Loader type that will use a unique loader for each connected bundle in the layer.

### Method Detail

#### values

    public static AtomosLayer.LoaderType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AtomosLayer.LoaderType c : AtomosLayer.LoaderType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AtomosLayer.LoaderType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null